/*
 * Sumas.java
 *
 * Creado el 29 de noviembre de 2005, 11:00
 */


package computacion.practica2;

/**
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Sumas {
    
    public static void main(String[] args) {    
        System.out.println("Resultados para x = 1.0:");
        tablasSumas(1., 1.E-12, 1000);
        System.out.println();
        System.out.println("Resultados para x = 0.5:");
        tablasSumas(0.5, 1.E-12, 1000);
        System.out.println();
        System.out.println("Resultados para x = 2.0:");
        tablasSumas(2., 1.E-12, 1000);
    }
    
    public static void tablasSumas(double x, double precision, int nmaxit) {
        int k = 0;
        double t1 = 2 * x / Math.sqrt(Math.PI);
        double S1 = t1;
        double t2 = 2 * x * Math.exp(- x * x) / Math.sqrt(Math.PI);
        double S2 = t2;
        
        System.out.println("k = " + k + "; S1 = " + S1 + "; S2 = " + S2);
        while ( (Math.abs(t1) / (2 * k + 1) >= precision) && (k < nmaxit) ) {
            k = k + 1;
            t1 = t1 * (-1) * x * x / k;
            S1 = S1 + t1 / (2 * k + 1);
            t2 = t2 * 2 * x * x / (2 * k + 1);
            S2 = S2 + t2;
            System.out.println("k = " + k + "; S1 = " + S1 + "; S2 = " + S2);
        }
        if (k == nmaxit) {
            System.out.println("Superado el mximo " 
                    + "permitido de iteraciones");
        }                
    }
    
}
