/*
 * Ejercicio2.java
 *
 * Creado el 16 de mayo de 2006, 9:43
 */


package interpolacionYAproximacion.practica10;
import auxiliar.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


/**
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class Ejercicio2 {
    
    public static void main(String[] args) {
        PanelDibujo pd = new PanelDibujo("Polgono regular", 100, 100, 500, 500);
        int n = 0;
        double[][] xy;
        
        while (n < 3) {
            n = verificarInt("Nmero de lados del polgono:");
            if (n < 3) {
                JOptionPane.showMessageDialog(null, 
                        "Error: no existen polgonos de " + n + " lados");
            }
        }
        
        pd.addEjesCoordenados(true, - 3, 3, - 3, 3, 0, 0, 1, 1);
        xy = new double[n + 1][2];
        for (int t = 0; t <= n; t++){
            xy[t][0] = 2 * Math.cos(2 * Math.PI * t / n);
            xy[t][1] = 2 * Math.sin(2 * Math.PI * t / n);        
        }
        pd.addCurva("rojo", xy);                
        pd.repaint();
                
        pd.addWindowListener(
                new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        }
        );
        
    }
    
    public static int verificarInt(String pregunta) {         
        boolean datosErroneos = true;
        String aux;
        int n = 0;
        
        while (datosErroneos) {
            try {
                datosErroneos = false;
                aux = JOptionPane.showInputDialog(pregunta);
                n = Integer.parseInt(aux);            
            } catch(Throwable errDatos) {
                datosErroneos = true;
                JOptionPane.showMessageDialog(null,
                        "Error: el dato introducido no es entero");
            }
        }
        return n;
    }
    
}
